import { JSX } from 'solid-js';
export interface MarkdownProps extends JSX.HTMLAttributes<HTMLDivElement> {
    children?: string;
    remarkPlugins?: any[];
    rehypePlugins?: any[];
}
export declare const Markdown: import("solid-js").Component<Omit<MarkdownProps, "style" | "class"> & {
    ref?: HTMLElement | ((el: HTMLElement) => void);
    style?: string | JSX.CSSProperties;
    className?: string | string[] | typeof import("@cn-ui/use").classNames;
    class?: string | string[] | typeof import("@cn-ui/use").classNames;
    classList?: typeof import("@cn-ui/use").classNames | {
        [k: string]: boolean;
    };
}>;
